VULKAN_HPP_NAMESPACE::FlagTraits< ColorComponentFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(ColorComponentFlagBits::eR) | VkFlags(ColorComponentFlagBits::eG) | VkFlags(ColorComponentFlagBits::eB) | VkFlags(ColorComponentFlagBits::eA) }

## Detailed Description

Definition at line 23779 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 23781 of file vulkan.hpp.

{
allFlags = VkFlags(ColorComponentFlagBits::eR) | VkFlags(ColorComponentFlagBits::eG) | VkFlags(ColorComponentFlagBits::eB) | VkFlags(ColorComponentFlagBits::eA)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::FlagTraits< ColorComponentFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:23783
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::ColorComponentFlagBits::eB
@ eB
VULKAN_HPP_NAMESPACE::ColorComponentFlagBits::eG
@ eG
VULKAN_HPP_NAMESPACE::ColorComponentFlagBits::eA
@ eA
VULKAN_HPP_NAMESPACE::ColorComponentFlagBits::eR
@ eR